Bug 1915939 - Resizing the browser window removes Web Terminal Icon
Summary: Resizing the browser window removes Web Terminal Icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: cvogt
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 18:56 UTC by cvogt
Modified: 2021-02-24 15:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7832 0 None closed Bug 1915939: Resizing the browser window removes Web Terminal Icon 2021-01-25 11:31:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:24 UTC

Description cvogt 2021-01-13 18:56:22 UTC
Description of problem:
When user resizes the browser, then the terminal icon/link should be under kebab menu including all the links from masthead but it gathers all the links except link to open web terminal. As per the design document (https://docs.google.com/document/d/1UsyTYm67FXtcprku6F3L0WD48FjwTlgpDnC5Dj9kUGg/edit#heading=h.6f7ab8dbj3m2), it should be there. 


Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-21-131655

How reproducible:
Install web terminal operator

Steps to Reproduce:
1. Resize the browser till it turns masthead to kebab menu
2. Click on the kebab menu

Actual results:
You won't see link to open the OpenShift Web Terminal

Expected results:
There should be link to open the web terminal

Additional info:

Comment 2 Debsmita Santra 2021-01-25 11:31:17 UTC
verified on 4.7.0-0.nightly-2021-01-19-095812

Comment 5 errata-xmlrpc 2021-02-24 15:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.